﻿@model BlogHome
@{
    ViewData["Title"] = "Update";
}

<div class="row">
    <div class="col-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Create Blog</h4>
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <form class="forms-sample" method="post" encType="multipart/form-data">
                    <div class="form-group">
                        <label asp-for="Photo"></label>
                        <input asp-for="Photo" class="form-control" accept="image/*" placeholder="Name">
                        <span asp-validation-for="Photo" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Title"></label>
                        <input asp-for="Title" class="form-control" placeholder="Name">
                        <span asp-validation-for="Title" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Description"></label>
                        <input asp-for="Description" class="form-control" placeholder="Name">
                        <span asp-validation-for="Description" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="History"></label>
                        <input asp-for="History" type="datetime" class="form-control">
                        <span asp-validation-for="History" class="text-danger"></span>
                    </div>
                    <div class="form-group" id="mainCategory">
                        <select class="form-control" id="mainCategoryId" name="mainCategoryId">
                            @foreach (var item in ViewBag.MainCategories)
                            {
                                <option value="@item.Id">@item.Name</option>
                            }
                        </select>
                    </div>
                    <button type="submit" class="btn btn-success mr-2">Save</button>
                    <button class="btn btn-light">Cancel</button>
                </form>
            </div>
        </div>
    </div>
</div>

@section Scripts{
    <script>
        $(document).on("change", "#mainCategoryId", function () {
            let id = $(this).val();
            $.ajax({
                url: "/Admin/Product/GetChildGategory?mainCategoryId=" + id,
                type: "Get",
                success: function(res){
                    $("#childCategoryId").children().remove();
                    $("#childCategoryId").append(res);
            }
            })
        })
    </script>
}

